/**
 *	
 *	Implementacja musi
 *	- implemetowa co najmniej jeden zdalny interfejs
 *	- zdefiniowa konstruktor dla zdalnego obiektu
 *	- zdefiniowa metody, ktre maj by zdalnie wywoywane
 *
 */

import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;

/*
 * Dziedziczenie po UnicastRemoteObject sprawia, e klasa bdzie uywaa
 * domylnego protokou komunikacyjnego uywanego przez RMI (czyli TCP) oraz
 * bdzie cay czas uruchomiona.
 */

public class InterfejsImpl extends UnicastRemoteObject implements Interfejs {

    //konstruktor zdalnego obiektu

    public InterfejsImpl() throws RemoteException {
        super(); //tutaj jest wywoany konstruktor UnicastRemoteObject
    }

    //defnicja zdalnej metody

    public long obliczNWD(long a, long b) throws RemoteException {
        System.out.println("Otrzymaem liczby " + a + " i " + b);
        while (a != b)
            if (a > b)
                a = a - b;
            else
                b = b - a;

        return a;
    }
}