/**
 *	Oto definicja interfejsu deklarujcego metody, ktre maj by
 *	zdalnie udostpnione. Zdalny obiekt musi by instancj klasy
 *	implemetujcej ten interfejs. Podczas budowy takiego interfejsu
 *	nalezy przestrzega kilka regu:
 *
 *	 - interfejs musi by publiczny
 *	 - interfejs musi dziedziczy po interfejsie java.rmi.Remote;
 *	 - kada zdalna metoda musi deklarowa moliwo wyrzucenia
 *	   wyjtku java.rmi.RemoteException
 */

import java.rmi.Remote;
import java.rmi.RemoteException;

public interface Interfejs extends Remote {

    public long obliczNWD(long a, long b) throws RemoteException;
}